--
-- DoorOpener
--
-- written by fruktor, visit: www.eifok-team.de
-- Edit by }I{EKA special for MTZ MASTER

DoorOpener = {};

DoorOpener.modDir = g_currentModDirectory;

function DoorOpener.prerequisitesPresent(specializations)
    return true; 
end;

function DoorOpener:load(savegame)
--	kapot
	self.playerCallbackKapot = SpecializationUtil.callSpecializationsFunction("playerCallbackKapot"); 
	
	self.door0 = {};
	
	local trigger = Utils.indexToObject( self.components, getXMLString(self.xmlFile, string.format("vehicle.kapotOpener#trigger")) );
	if trigger == nil then
		print("[Error::KapotOpener] node is OK, but trigger could not be located. Check line "..tostring(i+1).." in your vehicle.xml");
	end;
	
	local icIndex = getXMLInt(self.xmlFile, string.format("vehicle.kapotOpener#icIndex", i));
	
	self.door0.icIndex = icIndex;
	self.door0.trigger = trigger;
	self.door0.plIR = false;
	
	addTrigger( trigger, "playerCallbackKapot", self );	
		
end;

function DoorOpener:delete()
--  kapot
	if self.door0.trigger ~= nil then
		removeTrigger(self.door0.trigger);
	end;	
end;

function DoorOpener:readStream(streamId, connection)
end;

function DoorOpener:writeStream(streamId, connection)
end;

function DoorOpener:mouseEvent(posX, posY, isDown, isUp, button)
end;

function DoorOpener:keyEvent(unicode, sym, modifier, isDown)
end;

function DoorOpener:update(dt)
	if self.door0.plIR then
		g_currentMission:addHelpButtonText( g_i18n:getText("SET_KAPOTOPENER"), InputBinding.SET_DOOROPENER );	
		setTextColor(1.0, 1.0, 1.0, 1.0);
		setTextAlignment(RenderText.ALIGN_LEFT); 				
		renderText( 0.5, 0.06, 0.02, g_i18n:getText("SET_KAPOTOPENER") );
		if InputBinding.hasEvent(InputBinding.SET_DOOROPENER)then
			local obj = self.interactiveObjects[self.door0.icIndex];
			if obj ~= nil then
				self:doActionOnObject(self.door0.icIndex);
			end;
		end
	end;
end;

function DoorOpener:onLeave()
end;

function DoorOpener:draw()
end;

function DoorOpener:playerCallbackKapot(triggerId, otherId, onEnter, onLeave, onStay)
	if onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.door0.plIR = true;
	elseif onLeave and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode then
		self.door0.plIR = false;
	end;
end;


